<template>
  <base-button-icon
    :color="color"
    :href="'http://localhost:8000/loci/' + locusId"
    :size="size"
    icon="download"
    tooltip-text="Download"
  />
</template>

<script lang="ts">
import Vue from 'vue';

import BaseButtonIcon from '@/components/BaseButtonIcon.vue';

export default Vue.extend({
  components: {
    BaseButtonIcon,
  },

  props: {
    color: {
      default: 'gray',
      required: false,
      type: String,
    },
    locusId: {
      required: true,
      type: String,
    },
    size: {
      default: 'md',
      required: false,
      type: String,
    },
  },
});
</script>
